package eu.mhsl.minecraft.WorldMuseum;

import eu.mhsl.minecraft.WorldMuseum.worldSelector.WorldSelectListener;
import org.bukkit.Bukkit;
import org.bukkit.event.Listener;
import org.bukkit.plugin.java.JavaPlugin;

import java.io.File;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;
import java.util.Objects;

public class Main extends JavaPlugin {
    private static Main instance;

    private final List<ViewableWorld> worlds = new ArrayList<>();

    @Override
    public void onEnable() {
        Main.instance = this;
        this.saveDefaultConfig();

        List<Listener> listeners = List.of(
            new WorldSelectListener(),
            new CancelListener()
        );
        listeners.forEach(listener -> Bukkit.getPluginManager().registerEvents(listener, this));

        this.loadWorlds();
    }

    @Override
    public void onDisable() {
    }

    private void loadWorlds() {
        File worldFolder = new File(getDataFolder().getAbsolutePath() + "/worlds");
        //noinspection ResultOfMethodCallIgnored
        worldFolder.mkdirs();
        Arrays.stream(Objects.requireNonNull(worldFolder.listFiles())).forEach(file -> this.worlds.add(new ViewableWorld(file)));
        this.worlds.forEach(ViewableWorld::loadWorld);
    }

    public static Main instance() {
        return Main.instance;
    }

    public List<ViewableWorld> getWorlds() {
        return worlds;
    }
}